
type queryType = {
  type: "before" | "after" | "around",
  id: string
} | {
  type: null
};

/**
 * Before, around, after pagination wrapper
 */
export default class baaPagination<T> {
  readonly table: string;
  readonly key: string;

  constructor(table: string, key: string) {
    this.table = table;
    this.key = key;
  }
}
